Bug 21993 - Text input in multicol text renders in the wrong location
Summary: Text input in multicol text renders in the wrong location
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-30 21:09 PDT by Simon Fraser (smfr)
Modified: 2011-01-18 16:00 PST (History)
2 users (show)

See Also:


Attachments
Testcase (750 bytes, text/html)
2008-10-30 21:10 PDT, Simon Fraser (smfr)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2008-10-30 21:09:41 PDT
When an <input type="text"> is put in multicol text, it renders in the wrong location: the text and caret render with an odd offset, but the focus ring draws in the right place.
Comment 1 Simon Fraser (smfr) 2008-10-30 21:10:06 PDT
Created attachment 24790 [details]
Testcase
Comment 2 Simon Fraser (smfr) 2010-07-20 21:56:16 PDT
This was fixed by hyatt's column fixes.
Comment 3 Joseph Pecoraro 2011-01-18 15:30:21 PST
How does this affect test:
LayoutTests/fast/events/offsetX-offsetY.html

Which has:
http://trac.webkit.org/browser/trunk/LayoutTests/fast/events/offsetX-offsetY.html#L40

> // dispatchEvent(639, 316, 'in-columns', 173, -172);  // This is buggy. See https://bugs.webkit.org/show_bug.cgi?id=21993
Comment 4 Joseph Pecoraro 2011-01-18 16:00:03 PST
(In reply to comment #3)
> How does this affect test:
> LayoutTests/fast/events/offsetX-offsetY.html

Opened bug 52677 and updated the test.